OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray1OfBoundedSurface Class Reference

`#include <PColPGeom_HArray1OfBoundedSurface.hxx>`

## Public Member Functions
Standard_EXPORT | PColPGeom_HArray1OfBoundedSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom_HArray1OfBoundedSurface (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom_BoundedSurface)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BoundedSurface)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom_BoundedSurface | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray1OfBoundedSurface ()
| PColPGeom_HArray1OfBoundedSurface (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceLowerBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBoundedSurfaceLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceUpperBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBoundedSurfaceUpperBound (const Standard_Integer p)
const PColPGeom_FieldOfHArray1OfBoundedSurface & | _CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColPGeom_FieldOfHArray1OfBoundedSurface | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom_FieldOfHArray1OfBoundedSurface | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray1OfBoundedSurface::PColPGeom_HArray1OfBoundedSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom_HArray1OfBoundedSurface::PColPGeom_HArray1OfBoundedSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom_BoundedSurface)& | V
| ) |

PColPGeom_HArray1OfBoundedSurface::PColPGeom_HArray1OfBoundedSurface | ( |  | ) | `[inline]`

PColPGeom_HArray1OfBoundedSurface::PColPGeom_HArray1OfBoundedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray1OfBoundedSurface& PColPGeom_HArray1OfBoundedSurface::_CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBoundedSurface::_CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBoundedSurface::_CSFDB_GetPColPGeom_HArray1OfBoundedSurfaceUpperBound | ( |  | ) | const`[inline]`

void PColPGeom_HArray1OfBoundedSurface::_CSFDB_SetPColPGeom_HArray1OfBoundedSurfaceLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray1OfBoundedSurface::_CSFDB_SetPColPGeom_HArray1OfBoundedSurfaceUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom_HArray1OfBoundedSurface::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray1OfBoundedSurface PColPGeom_HArray1OfBoundedSurface::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray1OfBoundedSurface::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray1OfBoundedSurface::Length | ( |  | ) | const

Standard_Integer PColPGeom_HArray1OfBoundedSurface::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray1OfBoundedSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BoundedSurface)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray1OfBoundedSurface::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray1OfBoundedSurface::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray1OfBoundedSurface::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom_BoundedSurface PColPGeom_HArray1OfBoundedSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom_FieldOfHArray1OfBoundedSurface PColPGeom_HArray1OfBoundedSurface::Data`[private]`

Standard_Integer PColPGeom_HArray1OfBoundedSurface::LowerBound`[private]`

Standard_Integer PColPGeom_HArray1OfBoundedSurface::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray1OfBoundedSurface.hxx